Subject: Re: bug#22301: 25.1.50; Emacs crashes while lisp debugging

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Jan 2016 05:41:09 +0200

> From: Vincent Belaïche <[email-masked]> 
> Date: Sun, 03 Jan 2016 23:43:14 +0100
> Cc: Vincent Belaïche <[email-masked]>
> 
> Program received signal SIGTRAP, Trace/breakpoint trap.
> [Switching to Thread 6556.0xedc]
> 0x75fb82e3 in KERNELBASE!DebugBreak () from C:\WINDOWS\SYSTEM32\KernelBase.dll
> (gdb) bt full
> #0  0x75fb82e3 in KERNELBASE!DebugBreak ()
>    from C:\WINDOWS\SYSTEM32\KernelBase.dll
> No symbol table info available.
> #1  0x0114d335 in emacs_abort () at w32fns.c:9780
>         button = <optimized out>
> #2  0x01095247 in terminate_due_to_signal (sig=sig@entry=11, 
>     backtrace_limit=backtrace_limit@entry=40) at emacs.c:398
> No locals.
> #3  0x010aa7f2 in handle_fatal_signal (sig=sig@entry=11) at sysdep.c:1591
> No locals.
> #4  0x010aa8ea in deliver_thread_signal (
>     handler=0x10aa7db <handle_fatal_signal>, sig=11) at sysdep.c:1565
> No locals.
> #5  deliver_fatal_thread_signal (sig=11) at sysdep.c:1603
> No locals.
> #6  0x010010f9 in _gnu_exception_handler@4 ()
> No symbol table info available.
> #7  0x75fbf462 in UnhandledExceptionFilter ()
>    from C:\WINDOWS\SYSTEM32\KernelBase.dll
> No symbol table info available.
> #8  0x00bfdbb4 in ?? ()
> No symbol table info available.
> #9  0x771e2ccb in ntdll!WinSqmEventWrite () from C:\WINDOWS\SYSTEM32\ntdll.dll
> No symbol table info available.
> #10 0x00bfdbb4 in ?? ()
> No symbol table info available.
> #11 0x771a568e in ntdll!RtlUnicodeStringToInteger ()
>    from C:\WINDOWS\SYSTEM32\ntdll.dll
> No symbol table info available.
> #12 0xffffffff in ?? ()
> No symbol table info available.
> #13 0x771cb6df in ntdll!RtlCaptureContext ()
>    from C:\WINDOWS\SYSTEM32\ntdll.dll
> No symbol table info available.
> #14 0x00000000 in ?? ()
> No symbol table info available.
> (gdb) xbacktrace
> (gdb) Undefined command: "xbacktrace".  Try "help".

You attached the debugger too late, or maybe this is the wrong
thread.  The backtrace is not informative.

Also:

> (gdb) warning: File "c:\Programmes\installation\emacs-install\master\emacs\src\.gdbinit" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load;C:\Programmes\installation\emacs-install\emacs\trunk\src\.gdbinit".

This needs to be fixed.

> The crash happened while I was debugging a modified version of SES. I
> am not sure I can reproduce it.

If you are unable to reproduce, there's nothing that can be done with
this report, sorry.